net.snowflake.client.jdbc

## Class SnowflakeResultSetSerializableV1.ChunkFileMetadata

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1.ChunkFileMetadata

All Implemented Interfaces:
  Serializable

Enclosing class:
  SnowflakeResultSetSerializableV1

    public static class SnowflakeResultSetSerializableV1.ChunkFileMetadata
    extends Object
    implements Serializable

An Entity class to represent a chunk file metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChunkFileMetadata(String fileURL, int rowCount, int compressedByteSize, int uncompressedByteSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompressedByteSize()`
`String` `getFileURL()`
`int` `getRowCount()`
`int` `getUncompressedByteSize()`
`void` `setFileURL(String fileURL)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChunkFileMetadata

    public ChunkFileMetadata(String fileURL,
                             int rowCount,
                             int compressedByteSize,
                             int uncompressedByteSize)

### Method Detail

#### setFileURL

    public void setFileURL(String fileURL)

#### getFileURL

    public String getFileURL()

#### getRowCount

    public int getRowCount()

#### getCompressedByteSize

    public int getCompressedByteSize()

#### getUncompressedByteSize

    public int getUncompressedByteSize()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`